[mapserver-users] fcgi with mapserver version 6.0.0 beta4 - Parsing error

Jeff McKenna jmckenna at gatewaygeomatics.com
Wed Apr 6 07:40:01 EDT 2011

On 11-04-06 3:27 AM, francesco.pirotti at unipd.it wrote:
> Hello List,
> Here is what I think is a bug on Mapserver last dev version 6.0.0 beta4:
> When calling mapserv.exe using fcgi handler, it draw the map correctly
> every OTHER call to mapserver, so once it draws the map, and if I click
> again it throws the following error:
> msLoadMap(): Unknown Identifier. Parsing error near(): line 3.
> Seems like it cannot read the mapfile or something.
> Any one experiencing the same problem?
> Ciao
> Francesco

Hello Francesco,

Great catch, I can also reproduce this with beta4 (beta 1 to beta 3 work 
fine).  I have filed a ticket, please add yourself to its CC 

I looked at the list of beta4 changes, could it be one of the 
lexer/variable changes?


Jeff McKenna
MapServer Consulting and Training Services

More information about the mapserver-users mailing list